# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tishlang"
version = "1.0.26"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Tish CLI - run, REPL, compile to native"
readme = false
license-file = "LICENSE"
repository = "https://github.com/tishlang/tish"

[features]
default = []
fs = [
    "tishlang_eval/fs",
    "tishlang_runtime/fs",
    "tishlang_compile/fs",
    "tishlang_vm/fs",
]
full = [
    "http",
    "fs",
    "process",
    "regex",
    "ws",
]
http = [
    "tishlang_eval/http",
    "tishlang_runtime/http",
    "tishlang_compile/http",
    "tishlang_vm/http",
]
process = [
    "tishlang_eval/process",
    "tishlang_runtime/process",
    "tishlang_compile/process",
    "tishlang_vm/process",
]
regex = [
    "tishlang_eval/regex",
    "tishlang_runtime/regex",
    "tishlang_compile/regex",
    "tishlang_vm/regex",
]
ws = [
    "tishlang_eval/ws",
    "tishlang_runtime/ws",
    "tishlang_compile/ws",
    "tishlang_vm/ws",
]

[[bin]]
name = "tish"
path = "src/main.rs"

[[test]]
name = "integration_test"
path = "tests/integration_test.rs"

[[test]]
name = "shortcircuit"
path = "tests/shortcircuit.rs"

[dependencies.clap]
version = "4.6.0"
features = ["derive"]

[dependencies.rustyline]
version = "17"
features = ["with-file-history"]

[dependencies.tishlang_ast]
version = ">=0.1"

[dependencies.tishlang_bytecode]
version = ">=0.1"

[dependencies.tishlang_compile]
version = ">=0.1"

[dependencies.tishlang_compile_js]
version = ">=0.1"

[dependencies.tishlang_core]
version = ">=0.1"

[dependencies.tishlang_eval]
version = ">=0.1"

[dependencies.tishlang_js_to_tish]
version = ">=0.1"

[dependencies.tishlang_lexer]
version = ">=0.1"

[dependencies.tishlang_llvm]
version = ">=0.1"

[dependencies.tishlang_native]
version = ">=0.1"

[dependencies.tishlang_opt]
version = ">=0.1"

[dependencies.tishlang_parser]
version = ">=0.1"

[dependencies.tishlang_runtime]
version = ">=0.1"

[dependencies.tishlang_vm]
version = ">=0.1"

[dependencies.tishlang_wasm]
version = ">=0.1"

[dev-dependencies.rayon]
version = "1.11"
